Subject: Re: I-D Action: draft-bradner-rfc3979bis-06.txt

From: Brian E Carpenter <[email-masked]>
Date: Sun, 13 Oct 2013 11:17:50 +1300

Hi,

A couple of points on this version:

1. In section 7 (Evaluating Alternative Technologies in IETF Working Groups):

> For example, if	
> technologies are being considered for a mandatory-to-implement change	
> to a widely deployed protocol, the hurdle should be very high for	
> encumbered technologies, whereas a similar hurdle for a new protocol	
> could conceivably be lower.

If we're going into that much detail in the BCP, we have to nitpick it.
For example, the last phrase should probably be:

  whereas a similar hurdle for a new protocol or an optional extension
  could conceivably be lower

2. On the face of it I don't have any serious problems with the latest
changes. However, I think we need to see a layman's explanation of
the practical effect of all the changes compared to RFC 3979. At the
monent, I couldn't complete the sentence "We are updating RFC 3979 in
order to ...".

    Brian

Regards
   Brian Carpenter
   http://orcid.org/0000-0001-7924-6182

On 12/10/2013 04:49, [email-masked] wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 
> 	Title           : Intellectual Property Rights in IETF Technology
> 	Author(s)       : Scott Bradner
>                           Jorge Contreras
> 	Filename        : draft-bradner-rfc3979bis-06.txt
> 	Pages           : 20
> 	Date            : 2013-10-11
> 
> Abstract:
>    The IETF policies about Intellectual Property Rights (IPR), such as
>    patent rights, relative to technologies developed in the IETF are
>    designed to ensure that IETF working groups and participants have as
>    much information about any IPR constraints on a technical proposal as
>    possible.  The policies are intended to benefit the Internet
>    community and the public at large, while respecting the legitimate
>    rights of IPR holders.  This memo details the IETF policies
>    concerning IPR related to technology worked on within the IETF.  It
>    also describes the objectives that the policies are designed to meet.
>    This memo updates RFC 2026 and obsoletes RFC 3979 and RFC 4879.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-bradner-rfc3979bis
> 
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-bradner-rfc3979bis-06
> 
> A diff from the previous version is available at:
> http://www.ietf.org/rfcdiff?url2=draft-bradner-rfc3979bis-06
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>

---

From: "Joel M. Halpern" <[email-masked]>
Date: Sat, 12 Oct 2013 20:40:38 -0400

Brian, thank you for highlighting this change.
I am a bit surprised by this change, as it does not seem to follow from 
the discussion either on the list or in person.  Given how much 
dissension there is about this aspect of the guidelines, why is such a 
change being added by the authors on their own at this stage of the effort?

Yours,
Joel

On 10/12/13 6:17 PM, Brian E Carpenter wrote:
> Ipr-wg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipr-wg
>

---

From: Jorge Contreras <[email-masked]>
Date: Sat, 12 Oct 2013 23:01:17 -0400

Joel - the change wasn't introduced by the authors. It was suggested by Stephan Wegner shortly after Berlin and discussed at some length on the list.  There seemed to be general consensus that the idea was ok, though disagreement over the best way to state the concept. 

Brian's suggested edits seem reasonable to me. 

Best,
Jorge

Sent from my iPhone

> On Oct 12, 2013, at 8:40 PM, "Joel M. Halpern" <[email-masked]> wrote:
> 
> I am a bit surprised by this change, as it does not seem to follow from the discussion either on the list or in person.  Given how much dissension there is about this aspect of the guidelines, why is such a change being added by the authors on their own at this stage of the effort?
> 
> Yours,
> Joel
>